OpenORBOpenPortSocketFactory (ActiveIO 1.0 API)
Keywords: org.activeio.oneport.OpenORBOpenPortSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.oneport
Class OpenORBOpenPortSocketFactory

    java.lang.Object
      org.activeio.oneport.OpenORBOpenPortSocketFactory

All Implemented Interfaces:
  org.openorb.orb.net.SocketFactory

public class OpenORBOpenPortSocketFactory
extends java.lang.Object
implements org.openorb.orb.net.SocketFactory

Constructor Summary
`OpenORBOpenPortSocketFactory(OnePortAsynchChannelServer channelServer)`

Method Summary
`java.net.ServerSocket` | `createServerSocket(java.net.InetAddress address, int port)` Server sockets bind against the OnePortAsynchChannelServer.
`java.net.Socket` | `createSocket(java.net.InetAddress address, int port)` Outbound sockets are normal.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenORBOpenPortSocketFactory

    public OpenORBOpenPortSocketFactory(OnePortAsynchChannelServer channelServer)

Method Detail

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress address,
                                        int port)
                                 throws java.io.IOException

  Outbound sockets are normal.

  Specified by:
    `createSocket` in interface `org.openorb.orb.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(java.net.InetAddress address,
                                                    int port)
                                             throws java.io.IOException

  Server sockets bind against the OnePortAsynchChannelServer.

  Specified by:
    `createServerSocket` in interface `org.openorb.orb.net.SocketFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.